Debian Bug report logs - #702075
ITP: hexchat -- an IRC client based on XChat

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Marco Maria Luciani <italianman1985@gmail.com>

Date: Sat, 2 Mar 2013 14:27:01 UTC

Owned by: Jesse Rhodes <drubo@drubo.net>

Severity: wishlist

Fixed in version hexchat/2.9.6.1-1

Done: Jesse Rhodes <drubo@drubo.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#702075; Package wnpp. (Sat, 02 Mar 2013 14:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Maria Luciani <italianman1985@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org.

Your message specified a Severity: in the pseudo-header, but the severity value rfp was not recognised. The default severity normal is being used instead. The recognised values are: critical, grave, serious, important, normal, minor, wishlist, fixed.

(Sat, 02 Mar 2013 14:27:04 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marco Maria Luciani <italianman1985@gmail.com>
To: submit@bugs.debian.org
Subject: RFP:HexChat IRC Unix-Like
Date: Sat, 2 Mar 2013 15:25:35 +0100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: RFP

HexChat is an IRC client based on XChat this is currently on repository
debian but development was abandoned.


HexChat is completely open source and development is fully active
https://github.com/HexChat/hexchat


I think it would be useful to include it in the debian repository
http://hexchat.org/downloads.html


http://hexchat.org/

Marco
[Message part 2 (text/html, inline)]

Changed Bug title to 'RFP: hexchat -- an IRC client based on XChat' from 'RFP:HexChat IRC Unix-Like' Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Sun, 03 Mar 2013 00:09:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#702075; Package wnpp. (Fri, 15 Mar 2013 19:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Maria Luciani <italianman1985@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 15 Mar 2013 19:00:06 GMT) Full text and rfc822 format available.

Message #12 received at 702075@bugs.debian.org (full text, mbox):

From: Marco Maria Luciani <italianman1985@gmail.com>
To: 702075@bugs.debian.org
Date: Fri, 15 Mar 2013 13:20:01 +0100
[Message part 1 (text/plain, inline)]
https://docs.google.com/file/d/0B2kcDvOQ0OWKZG5uUUx6YmdrVmc/edit

this is file deb amd64 Hexchat 2.9.4
[Message part 2 (text/html, inline)]

Changed Bug title to 'ITP: hexchat -- an IRC client based on XChat' from 'RFP: hexchat -- an IRC client based on XChat' Request was from Andreas Rönnquist <gusnan@gusnan.se> to control@bugs.debian.org. (Wed, 27 Mar 2013 20:12:08 GMT) Full text and rfc822 format available.

Owner recorded as Andreas Rönnquist <gusnan@gusnan.se>. Request was from Andreas Rönnquist <gusnan@gusnan.se> to control@bugs.debian.org. (Wed, 27 Mar 2013 20:12:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#702075; Package wnpp. (Mon, 29 Jul 2013 13:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Rönnquist <gusnan@gusnan.se>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 29 Jul 2013 13:39:04 GMT) Full text and rfc822 format available.

Message #21 received at 702075@bugs.debian.org (full text, mbox):

From: Andreas Rönnquist <gusnan@gusnan.se>
To: control@bugs.debian.org, 702075@bugs.debian.org
Subject: Abandoning Hexchat ITP
Date: Mon, 29 Jul 2013 15:36:05 +0200
noowner 702075
retitle 702075 RFP: hexchat -- an IRC client based on XChat
thanks

I am abandoning this ITP - First, it has a GPL license, but links
OpenSSL, but doesn't have an OpenSSL exception, which makes it a bit
problematic.
- 
Other than that, Hexchat is in active development upstream, but there
was talk from someone that said that he planned to continue XChat
development (as a fork of Hexchat if I understand correctly) and had got
the necessary rights from the previous XChat developer. Since XChat is
already present in Debian, I am guessing that they would continue
packaging this work. 

-- Andreas Rönnquist
gusnan@gusnan.se



Removed annotation that Bug was owned by Andreas Rönnquist <gusnan@gusnan.se>. Request was from Andreas Rönnquist <gusnan@gusnan.se> to control@bugs.debian.org. (Mon, 29 Jul 2013 13:39:16 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: hexchat -- an IRC client based on XChat' from 'ITP: hexchat -- an IRC client based on XChat' Request was from Andreas Rönnquist <gusnan@gusnan.se> to control@bugs.debian.org. (Mon, 29 Jul 2013 13:39:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#702075; Package wnpp. (Wed, 13 Nov 2013 22:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oz Nahum Tiram <nahumoz@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 13 Nov 2013 22:03:04 GMT) Full text and rfc822 format available.

Message #30 received at 702075@bugs.debian.org (full text, mbox):

From: Oz Nahum Tiram <nahumoz@gmail.com>
To: 702075@bugs.debian.org
Cc: gusnan@gusnan.se
Subject: please reopen this ticket
Date: Wed, 13 Nov 2013 22:59:25 +0100
Hi,
It seems the development of hexchat is vivid [1] whereas the
development of xchat is stalled.
The  OpenSSL exception was also added to the license so it's safe to
package in Debian.

See here:

https://github.com/hexchat/hexchat/blob/master/readme.md

[1] https://github.com/hexchat/hexchat/graphs/commit-activity over a
100 commits in the last few months.

Cheers,
Oz



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#702075; Package wnpp. (Wed, 13 Nov 2013 22:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Rönnquist <gusnan@gusnan.se>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 13 Nov 2013 22:27:04 GMT) Full text and rfc822 format available.

Message #35 received at 702075@bugs.debian.org (full text, mbox):

From: Andreas Rönnquist <gusnan@gusnan.se>
To: Oz Nahum Tiram <nahumoz@gmail.com>
Cc: 702075@bugs.debian.org
Subject: Re: please reopen this ticket
Date: Wed, 13 Nov 2013 23:23:29 +0100
Sorry, I am not using HexChat (or XChat) any longer - I have migrated
to irssi, and wouldn't be comfortable in maintaining a package that I
don't really use myself. So, if anyone else wants to be the maintainer
- please go ahead.

/Andreas



Severity set to 'wishlist' from 'normal' Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. (Mon, 16 Dec 2013 06:54:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#702075; Package wnpp. (Mon, 03 Feb 2014 22:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jesse Rhodes <drubo@drubo.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 03 Feb 2014 22:21:09 GMT) Full text and rfc822 format available.

Message #42 received at 702075@bugs.debian.org (full text, mbox):

From: Jesse Rhodes <drubo@drubo.net>
To: 702075@bugs.debian.org
Cc: control@bugs.debian.org
Subject: ITP: hexchat -- an IRC client based on XChat
Date: Mon, 3 Feb 2014 15:19:45 -0700
retitle 702075 ITP: hexchat -- an IRC client based on XChat
owner 702075 !
thanks

Hi,

I have been using hexchat daily (which I packaged myself) and since it
seems nobody else is interested in maintaining it, I volunteer.

Jesse Rhodes



Changed Bug title to 'ITP: hexchat -- an IRC client based on XChat' from 'RFP: hexchat -- an IRC client based on XChat' Request was from Jesse Rhodes <drubo@drubo.net> to control@bugs.debian.org. (Mon, 03 Feb 2014 22:21:16 GMT) Full text and rfc822 format available.

Owner recorded as Jesse Rhodes <drubo@drubo.net>. Request was from Jesse Rhodes <drubo@drubo.net> to control@bugs.debian.org. (Mon, 03 Feb 2014 22:21:16 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 702075: 738683 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Wed, 12 Feb 2014 04:27:12 GMT) Full text and rfc822 format available.

Reply sent to Jesse Rhodes <drubo@drubo.net>:
You have taken responsibility. (Wed, 19 Feb 2014 22:03:09 GMT) Full text and rfc822 format available.

Notification sent to Marco Maria Luciani <italianman1985@gmail.com>:
Bug acknowledged by developer. (Wed, 19 Feb 2014 22:03:09 GMT) Full text and rfc822 format available.

Message #53 received at 702075-close@bugs.debian.org (full text, mbox):

From: Jesse Rhodes <drubo@drubo.net>
To: 702075-close@bugs.debian.org
Subject: Bug#702075: fixed in hexchat 2.9.6.1-1
Date: Wed, 19 Feb 2014 22:00:07 +0000
Source: hexchat
Source-Version: 2.9.6.1-1

We believe that the bug you reported is fixed in the latest version of
hexchat, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 702075@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jesse Rhodes <drubo@drubo.net> (supplier of updated hexchat package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 03 Feb 2014 19:09:17 -0700
Source: hexchat
Binary: hexchat hexchat-common
Architecture: source amd64 all
Version: 2.9.6.1-1
Distribution: unstable
Urgency: low
Maintainer: Jesse Rhodes <drubo@drubo.net>
Changed-By: Jesse Rhodes <drubo@drubo.net>
Description: 
 hexchat    - IRC client for X based on X-Chat 2
 hexchat-common - Common files for HexChat
Closes: 702075
Changes: 
 hexchat (2.9.6.1-1) unstable; urgency=low
 .
   * Initial release (Closes: #702075)
Checksums-Sha1: 
 a16ccf615c4e521089c43a708c13fc803b73d610 1960 hexchat_2.9.6.1-1.dsc
 a2978606df331117440614cce188494f97ebed31 1768392 hexchat_2.9.6.1.orig.tar.xz
 ebb575e374efa103acf754d388dc2f642efd2e61 25184 hexchat_2.9.6.1-1.debian.tar.xz
 f4f44a8e6829a90051eea833f845692b5fd5ee77 338882 hexchat_2.9.6.1-1_amd64.deb
 418cbb6dd19b72ed7b49d595908463f3a2bdeb53 658338 hexchat-common_2.9.6.1-1_all.deb
Checksums-Sha256: 
 1c60525876e0fad5ce89ac87f778ad221774219e8456956e4f62152ac04bc627 1960 hexchat_2.9.6.1-1.dsc
 6267ff3c4d0aec8a808365b384115a769d5001d99dbb10403634667c43966470 1768392 hexchat_2.9.6.1.orig.tar.xz
 05ba1459503b83508f40ea6fb20fc5f90d3fed927a37a95350532fb39cd7b7bb 25184 hexchat_2.9.6.1-1.debian.tar.xz
 b4e7e1836f2d11cca416da00eebe3aa2e976a143cb2a036c72f7918f78ea9628 338882 hexchat_2.9.6.1-1_amd64.deb
 d767c368d48042061d7acbf5567c6b0490c6b989160e8282df9c0d3de8dce6d7 658338 hexchat-common_2.9.6.1-1_all.deb
Files: 
 3fd7eda76421c426808b5c048b95c0c6 1960 net optional hexchat_2.9.6.1-1.dsc
 4723f43afc65a973ceddbea0173ff416 1768392 net optional hexchat_2.9.6.1.orig.tar.xz
 33310a48d6d54199c30fbf8bbae0f6ae 25184 net optional hexchat_2.9.6.1-1.debian.tar.xz
 52e13ee955a1d3bd0b9307f80d50e9e2 338882 net optional hexchat_2.9.6.1-1_amd64.deb
 37b4e69c899a5a4c8842c943fc0a7b0f 658338 net optional hexchat-common_2.9.6.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJTBD+7AAoJEI7tzBuqHzL/L3IQAMNLaSmXwcD8wfpqqWrA/XYB
iHX5xshWPNr75buPagqW3ZjV5xXNXtg7PklKGCoFVJdfkcLBlwkPefLKBiTUKBx1
qAaw3fLfJhR3aoo1atPGgSRLiZbu9qnXodc5cnYOg753tKG8A3MvTctdPowhr+Fj
8zBwZHFJQp0ZSNM4u1PtY08KVue91GUJVTBVh61bV0CYyWjKu7xOiuUa/EXwu7JZ
iqluFIFjfHD1KISurenM2IGi/9hCwJ7KOYZoYkCtMExMsrqPF6iLlpkVzlaXkxgq
DXi43lKm8jRxDj94McIH0KVvcDEn9B1nS6uLpi2fcJiptAZ0RbOuYYXCSTs2w37j
H/HScI9uZpkkx8cT24dIyB6iP/mDyghjm0Cgc9oOz+WlZbLZI69TCrrcCYduwzpB
8rW3sMC85r30zoA8ZW2wUf0iY0l6ug54qj6f4MTM7miOKbUPFglGmaVFrTB3viTb
b2rCi9pogHEutdTom/MvNBN0aLELs5QUeSU9xq7JYYUEcWglhP2H+z7WWn8pE/Wm
YhxO7ujbaHPPY4o3jeqEcVt/4W1ndtjoZRjbhXYcJmuu3JFpE5lNINDoNImOZr3Q
33DjZIhSlQulGitmi2gvQm3pT+F1qz0CIieD/wYGuQbqyC0SJTHMq4/Qomn02jqc
i5509jqUaeT8LFF4H7sq
=HP8B
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 20 Mar 2014 07:34:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:24:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.